[lammps-users] problems with DPD still

I posted awhile ago about having trouble using dpd. I rebuilt the upgraded version of lammps with all the packages, but when i try to run a simulation with dpd i still get "invalid atom style" the input file is as follows.

# This is LAMMPS input script specifies a simple DPD simulation.
# It reproduces Fig. 2 of Groot and Warren, J. Chem. Phys. 107,
# 4423 (1997)

units lj
atom_style dpd
pair_style dpd 1.0 1.0 34387

# create simulation box
lattice fcc 3
region mybox block -4 4 -4 4 -4 4 units lattice
create_box 1 mybox
create_atoms 1 box

# define masses and interaction coefficient
mass * 1
pair_coeff 1 1 25 4.5

# create initial velocities
velocity all create 1.0 4928459 dist gaussian

# change neighbor list parameters to avoid dangerous builds
neighbor 2.0 bin
neigh_modify delay 3

# specify simulation parameters
timestep 0.04
thermo 10

# first equilibrate the initial condition
fix 1 all nve
run 500

# production run
fix 2 all rdf 20 dpd_example.rdf 100 1 1
run 500

any help would be greatly appreciated

-Ryan

I posted awhile ago about having trouble using dpd. I rebuilt the
upgraded version of lammps with all the packages, but when i try to
run a simulation with dpd i still get "invalid atom style" the input
file is as follows.

ryan,

please see the compilation/installation instructions.
you have to do "make yes-dpd" before compiling to
get a dpd capable executable. this error message
suggests that yours does not contain dpd support.

cheers,
    axel.